<?php
$doc -> clean();

$uof = @$_POST['upload_on_flash'];

if (!$id_user = $cache -> get('upload_on_flash.'.$uof))exit('Ошибка сессии');
$user = new user($id_user);

if (!empty($_FILES['file']))
{
if ($_FILES['file']['error'])exit('Ошибка');
elseif (!$_FILES['file']['size'])exit('Содержимое файла пусто');

else
{
if ($files_ok = $dir -> filesAdd(array($_FILES['file']['tmp_name'] => $_FILES['file']['name'])))
{
$files_ok[$_FILES['file']['tmp_name']] -> id_user = $user -> id;
$files_ok[$_FILES['file']['tmp_name']] -> group_edit = max($user -> group, $dir -> group_write, 2);
unset ($files_ok);
exit('Файл "'.$_FILES['file']['name'].'" успешно добавлен');
}
else
{
exit('Не удалось сохранить выгруженный файл');
}
}
}



exit;
?>
